<?php
/**
 * Changelog:
 * ------------------------------------------------------
 * 2011-08-15	DL		Fixed unserialization bug which caused the incorrect 
 * 						error message "Diese Seite bentigt Login-Daten!"
 **/

include ('includes/application_top.php');

$aPayments = Array(	'Bankeinzug' 					=> 'banktransfer',
					'Vorauskasse / berweisung' 	=> 'uos_vorkasse_modul',
					'Rechnung' 						=> 'invoice',
					'Nachnahme' 					=> 'cod',
					'Barzahlung bei Selbstabholung' => 'cash',
					'PayPal'						=> 'paypal'
				  );

$vars = unserialize( trim( stripslashes($_POST[0]) ) );

if( !$vars )
{
	// In some cases unserialization fails due to incorrect stringlenght which is corrected at this place.
	$vars = unserialize( preg_replace( '!s:(\d+):"(.*?)";!e', "'s:'.strlen('$2').':\"$2\";'", trim( stripslashes($_POST[0]) ) ) );
}

$sEmailAddress 	= xtc_db_prepare_input($vars['User']);
$sPassword 		= xtc_db_prepare_input($vars['Pass']);

if ($sEmailAddress != '' && $sPassword != '')
{
	$datePurchased = date ('Y-m-d H:i:s');
	$sQuery = xtc_db_query("SELECT customers_id FROM  ".TABLE_CUSTOMERS." WHERE customers_email_address = '".xtc_db_input($sEmailAddress)."' AND account_type = '0' AND customers_password='".md5($sPassword)."' AND customers_status='0'");
	if (!xtc_db_num_rows($sQuery)) 
	{
		print 'Login Fehlgeschlagen!<br>';
	}
	else
	{	
		require_once (DIR_FS_INC.'xtc_encrypt_password.inc.php');	
		require_once (DIR_FS_INC.'xtc_write_user_info.inc.php');

		$password = uniqid("");	
		
		// Check Customer and Get ID
		$sQuery = xtc_db_query("SELECT * FROM  ".TABLE_CUSTOMERS." WHERE customers_email_address = '".xtc_db_input($vars['Cemail'])."' AND customers_lastname = '".xtc_db_input($vars['Csname'])."' ");
		$aUserinfo = xtc_db_fetch_array($sQuery);
		if (!$aUserinfo['customers_id']) 
		{	
			// Add a new User
			$aUserinfo = Array(	'customers_vat_id' 			=> '',
							 	'customers_vat_id_status' 	=> 0,
							 	'customers_status'			=> DEFAULT_CUSTOMERS_STATUS_ID,
							 	'customers_firstname' 		=> $vars['Cfname'],
							 	'customers_lastname' 		=> $vars['Csname'],
								'customers_email_address' 	=> $vars['Cemail'],
								'customers_telephone' 		=> $vars['Cphone'],
								'customers_fax' 			=> $vars['Cfax'],
								'customers_newsletter' 		=> 0,
								'customers_password' 		=> xtc_encrypt_password($password),
								'customers_date_added' 		=> 'now()',
								'customers_last_modified' 	=> 'now()'
							 );

			if (ACCOUNT_GENDER == 'true')
			{
				$gender = ($vars['Atitle'] == 'Frau') ? 'f' : 'm';
				$aUserinfo['customers_gender'] = $gender;
			}
			if (ACCOUNT_DOB == 'true' && $vars['Cbirthday'] != '')
			{
				$aUserinfo['customers_dob'] = $vars['Cbirthday'].' 00:00:00';
			}	
			xtc_db_perform(TABLE_CUSTOMERS, $aUserinfo);
			$aUserinfo['customers_id'] = xtc_db_insert_id();
			xtc_write_user_info($aUserinfo['customers_id']);
			
			$country_query = xtc_db_query("select countries_id from " . TABLE_COUNTRIES . " where countries_iso_code_2 = '" . $vars['Ccountry'] . "'");
    		$country = xtc_db_fetch_array($country_query);
			
			$sql_data_array = array (	'customers_id' 			=> $aUserinfo['customers_id'], 
										'entry_firstname' 		=> $aUserinfo['customers_firstname'],
										'entry_lastname' 		=> $aUserinfo['customers_lastname'],
										'entry_street_address' 	=> $vars['Cstreet'], 
										'entry_postcode' 		=> $vars['Cpcode'], 
										'entry_city' 			=> $vars['Ccity'], 
										'entry_country_id' 		=> $country['countries_id'],
										'address_date_added' 	=> 'now()',
										'address_last_modified' => 'now()'
									);

			if (ACCOUNT_GENDER == 'true')
				$sql_data_array['entry_gender'] = $gender;
			if (ACCOUNT_COMPANY == 'true')
				$sql_data_array['entry_company'] = $vars['Ccompany'];
			if (ACCOUNT_SUBURB == 'true')
				$sql_data_array['entry_suburb'] ='';	

			xtc_db_perform(TABLE_ADDRESS_BOOK, $sql_data_array);
			$address_id = xtc_db_insert_id();
			
			xtc_db_query("update ".TABLE_CUSTOMERS." set customers_default_address_id = '".$address_id."' where customers_id = '".(int) $aUserinfo['customers_id']."'");
			xtc_db_query("insert into ".TABLE_CUSTOMERS_INFO." (customers_info_id, customers_info_number_of_logons, customers_info_date_account_created) values ('".(int) $aUserinfo['customers_id']."', '0', now())");		
		}

		/**
		 * Save Order
		 */
		
		if ($vars['Ccountry'] != '')
		{
			$sQuery = xtc_db_query("SELECT countries_name FROM  ".TABLE_COUNTRIES." WHERE countries_iso_code_2= '".xtc_db_input($vars['Ccountry'])."'  ");
			$aCountryInfo = xtc_db_fetch_array($sQuery);
			$cCountryName = $aCountryInfo['countries_name'];
		}
		
		if ($vars['Ccountry'] != '')
		{
			$sQuery = xtc_db_query("SELECT countries_name FROM  ".TABLE_COUNTRIES." WHERE countries_iso_code_2= '".xtc_db_input($vars['Acountry'])."'  ");
			$aCountryInfo = xtc_db_fetch_array($sQuery);
			$ACountryName = $aCountryInfo['countries_name'];
		}
		
		$sQuery = xtc_db_query("SELECT languages_id FROM  ".TABLE_LANGUAGES." WHERE code= '".xtc_db_input(DEFAULT_LANGUAGE)."'  ");
		$aLanguageInfo = xtc_db_fetch_array($sQuery);
		$LanguageId = $aLanguageInfo['languages_id'];
		
		$sQuery = xtc_db_query("SELECT customers_status_name, customers_status_image FROM  ".TABLE_CUSTOMERS_STATUS." WHERE customers_status_id= '".xtc_db_input($aUserinfo['customers_status'])."' AND language_id='".xtc_db_input($LanguageId)."' ");
		$aCustomerStatus = xtc_db_fetch_array($sQuery);

		$sql_data_array = array (	'customers_id' 					=> $aUserinfo['customers_id'], 
									'customers_status' 				=> $aUserinfo['customers_status'], 
									'customers_status_name' 		=> $aCustomerStatus['customers_status_name'], 
									'customers_status_image' 		=> $aCustomerStatus['customers_status_image'], 
									'customers_status_discount' 	=> '0.00', 
									'customers_name' 				=> $aUserinfo['customers_firstname'].' '.$aUserinfo['customers_lastname'], 
									'customers_firstname' 			=> $aUserinfo['customers_firstname'],
									'customers_lastname' 			=> $aUserinfo['customers_lastname'],
									'customers_company' 			=> $vars['Ccompany'],
									'customers_street_address' 		=> $vars['Cstreet'],
									'customers_suburb'				=> '',
									'customers_city' 				=> $vars['Ccity'],
									'customers_postcode' 			=> $vars['Cpcode'],
									'customers_state'				=> '',
									'customers_country' 			=> $cCountryName,
									'customers_telephone' 			=> $vars['Cphone'],
									'customers_email_address' 		=> $vars['Cemail'],
									'customers_address_format_id' 	=> '5',					
									'delivery_name' 				=> $vars['Afname'].' '.$vars['Asname'], 
									'delivery_firstname' 			=> $vars['Afname'],
									'delivery_lastname' 			=> $vars['Asname'],
									'delivery_company' 				=> $vars['Acompany'],
									'delivery_street_address' 		=> $vars['Astreet'],
									'delivery_suburb'				=> '',
									'delivery_city' 				=> $vars['Acity'],
									'delivery_postcode' 			=> $vars['Apcode'],
									'delivery_state'				=> '',
									'delivery_country' 				=> $ACountryName,
									'delivery_country_iso_code_2' 	=> $vars['Acountry'],
									'delivery_address_format_id' 	=> '5',
									'billing_name' 					=> $aUserinfo['customers_firstname'].' '.$aUserinfo['customers_lastname'],
									'billing_firstname' 			=> $aUserinfo['customers_firstname'],
									'billing_lastname' 				=> $aUserinfo['customers_lastname'],
									'billing_company' 				=> $vars['Ccompany'],
									'billing_street_address' 		=> $vars['Cstreet'],
									'billing_city' 					=> $vars['Ccity'],
									'billing_state'					=> '',
									'billing_suburb'				=> '',
									'billing_postcode' 				=> $vars['Cpcode'],
									'billing_country' 				=> $cCountryName,
									'billing_country_iso_code_2' 	=> $vars['Ccountry'],
									'billing_address_format_id' 	=> '5',
									'comments' 						=> "Bestellung wurde ber Yatego gettigt. Yatego Bestellnummer: ".$vars['OrderNo']."\n\n".$vars['Ccomment'],
									'date_purchased' 				=> 'now()',
									'orders_status' 				=> '1',
									'currency' 						=> 'EUR',
									'currency_value' 				=> '1.000000',
									'account_type' 					=> '0',
									'customers_ip' 					=> $vars['Cip'],
									'language' 						=> 'german',
									'conversion_type' 				=> '2',
									'payment_method'				=> $aPayments[$vars['Methofpay']],
									'payment_class'					=> $aPayments[$vars['Methofpay']]
								);
		xtc_db_perform(TABLE_ORDERS, $sql_data_array);
		$aOrderInfo['order_id'] = xtc_db_insert_id();
 		
		$sum = round($vars['CombShip'],2);
		$aTax = Array();
		for($i=0;$i<count($vars['items']);$i++)
		{
			xtc_db_query("UPDATE  ".TABLE_PRODUCTS." SET products_quantity=products_quantity-".$vars['items'][$i]['ItemCount']." WHERE products_model= '".xtc_db_input($vars['items'][$i]['ItemNo'])."'  ");

			$sQuery = xtc_db_query("SELECT products_id FROM ".TABLE_PRODUCTS." WHERE products_model= '".xtc_db_input($vars['items'][$i]['ItemNo'])."'  ");
			$aProductInfo = xtc_db_fetch_array($sQuery);
		
			$iProductId = $aProductInfo['products_id'];
			
			$sQuery = xtc_db_query("SELECT products_name FROM ".TABLE_PRODUCTS_DESCRIPTION." WHERE products_id= '".xtc_db_input($iProductId)."' AND language_id='".xtc_db_input($LanguageId)."' ");
			$aProductInfo = xtc_db_fetch_array($sQuery);
			
			if ($iProductId > 1 || trim($iProductId) != '' || $vars['items'][$i]['Discount'] == '1')
			{
				// Get Sum && Tax
				$sum += ($vars['items'][$i]['ItemCount'])*($vars['items'][$i]['ItemPriceTotal']);
							
				if ($vars['items'][$i]['ItemTax'] != '')
				{
					if (array_key_exists($vars['items'][$i]['ItemTax'], $aTax))
					{
						$aTax[$vars['items'][$i]['ItemTax']] += ((($vars['items'][$i]['ItemCount']*$vars['items'][$i]['ItemPrice'])/100)*$vars['items'][$i]['ItemTax']);
					}
					else
					{
						$aTax[$vars['items'][$i]['ItemTax']] = ((($vars['items'][$i]['ItemCount']*$vars['items'][$i]['ItemPrice'])/100)*$vars['items'][$i]['ItemTax']);
					}
				}
				
				
				if ($vars['items'][$i]['ItemPriceTotal'] != '')
				{
				$productPriceTax 	= $vars['items'][$i]['ItemPriceTotal'];
				$final_priceTax 	= ($vars['items'][$i]['ItemCount'])*($vars['items'][$i]['ItemPriceTotal']);
				}
				else
				{
				$productPrice 		= $vars['items'][$i]['ItemPrice'];
				$productPriceTax 	= (($productPrice/100)*(100+$vars['items'][$i]['ItemTax']));
				$final_price 		= ($vars['items'][$i]['ItemCount']*$productPrice);
				$final_priceTax 	= (($final_price/100)*(100+$vars['items'][$i]['ItemTax']));				
				}
				
				$variantHTMLFormated = '';
				if (isset($vars['items'][$i]['ItemVariants']))
				{
					for ($v=0;$v<count($vars['items'][$i]['ItemVariants']);$v++)
					{
						$variantHTMLFormated .= '<br />'.$vars['items'][$i]['ItemVariants'][$v]['setname'].':'.$vars['items'][$i]['ItemVariants'][$v]['variant'];
					}
				}

				$products_name = $aProductInfo['products_name'];
				if ($vars['items'][$i]['Discount'] == '1')
				{
					$products_name = $vars['items'][$i]['ItemName'];
				}
				
				$sql_data_array = array (	'orders_id' 				=> $aOrderInfo['order_id'], 
											'products_id' 				=> $iProductId, 
											'products_model'			=> $vars['items'][$i]['ItemNo'],
											'products_name' 			=> $products_name, 
											'products_price' 			=> $productPriceTax,
											'products_discount_made' 	=> '',
											'products_shipping_time'	=> '',
											'final_price'				=> $final_priceTax,
											'products_tax' 				=> $vars['items'][$i]['ItemTax'],
											'products_quantity' 		=> $vars['items'][$i]['ItemCount'],
											'allow_tax'					=> 1
										);
				xtc_db_perform(TABLE_ORDERS_PRODUCTS, $sql_data_array);
				$aOrdersProductId = xtc_db_insert_id();
				
				$aMail['orderData'][] = Array(	'PRODUCTS_MODEL' 			=> $vars['items'][$i]['ItemNo'],
					                            'PRODUCTS_NAME' 			=> $products_name, 
					                            'PRODUCTS_SHIPPING_TIME' 	=> '',
					                            'PRODUCTS_ATTRIBUTES' 		=> $variantHTMLFormated,
					                            'PRODUCTS_ATTRIBUTES_MODEL' => '',
					                            'PRODUCTS_PRICE' 			=>  number_format($final_priceTax, 2, ",", ".").' EUR',
					                            'PRODUCTS_SINGLE_PRICE' 	=>  number_format($productPriceTax, 2, ",", ".").' EUR',
					                            'PRODUCTS_QTY' 				=> $vars['items'][$i]['ItemCount']
                        );

				if (isset($vars['items'][$i]['ItemVariants']))
				{
					for ($v=0;$v<count($vars['items'][$i]['ItemVariants']);$v++)
					{
						$sql_data_array = array (	'orders_id' 				=> $aOrderInfo['order_id'], 
													'orders_products_id' 		=> $aOrdersProductId, 
													'products_options'			=> $vars['items'][$i]['ItemVariants'][$v]['setname'],
													'products_options_values' 	=> $vars['items'][$i]['ItemVariants'][$v]['variant'], 
													'options_values_price'		=> $vars['items'][$i]['ItemVariants'][$v]['price'],
													'price_prefix'				=> '+'
												);
						xtc_db_perform(TABLE_ORDERS_PRODUCTS_ATTRIBUTES, $sql_data_array);
					}
				}
			}
		}

		// Get delivery Tax
		if(isset($vars["ShipTax"]) && isset($vars["CombShip"]) && trim($vars["ShipTax"]) && trim($vars["CombShip"]))
		{
			if (array_key_exists($vars["ShipTax"], $aTax))
			{
				$aTax[$vars["ShipTax"]] += ($vars["CombShip"]*$vars["ShipTax"])/(100+$vars["ShipTax"]);
			}
			else
			{
				$aTax[$vars["ShipTax"]] = ($vars["CombShip"]*$vars["ShipTax"])/(100+$vars["ShipTax"]);
			}
		}
		
		
		$sql_data_array = array (	'orders_id' 		=> $aOrderInfo['order_id'], 
									'date_added' 		=> 'now()', 
									'orders_status_id'	=> 1,
									'customer_notified' => 1, 
									'comments' 			=> "Bestellung wurde ber Yatego gettigt. Yatego Bestellnummer: ".$vars['OrderNo']."\n\n".$vars['Ccomment']
							);
		xtc_db_perform(TABLE_ORDERS_STATUS_HISTORY, $sql_data_array);

		$sql_data_array = array (	'orders_id' 	=> $aOrderInfo['order_id'], 
									'title' 		=> 'Zwischensumme:', 
									'text'			=> number_format(($sum-round($vars['CombShip'],2)), 2, ",", ".").' EUR',
									'value'			=> ($sum-round($vars['CombShip'],2)), 
									'class' 		=> 'ot_subtotal',
									'sort_order'	=> 10
								);	
		$aMail['orderTotal'][] = Array	('TITLE'	=> 'Zwischensumme: ', 
										 'CLASS'	=> 'ot_subtotal',
										 'VALUE'	=> ($sum-round($vars['CombShip'],2)), 
										 'TEXT'		=> number_format(($sum-round($vars['CombShip'],2)), 2, ",", ".").' EUR'
										);
 		xtc_db_perform(TABLE_ORDERS_TOTAL, $sql_data_array);
 		
 		//Versand
 		if ($vars['CombShip'] > 0)
 		{
 			$sql_data_array = array (	'orders_id' 	=> $aOrderInfo['order_id'], 
										'title' 		=> 'Versandkosten:', 
										'text'			=> number_format($vars['CombShip'], 2, ",", ".").' EUR',
										'value'			=> round($vars['CombShip'],2), 
										'class' 		=> 'ot_shiping',
										'sort_order'	=> 30
									);
 			$aMail['orderTotal'][] = Array	('TITLE'	=> 'inkl. UST '.round($key).'%: ', 
										 	 'CLASS'	=> 'Versandkosten: ', 
										 	 'VALUE'	=> round($vars['CombShip'],2), 
										 	 'TEXT'		=> number_format($vars['CombShip'], 2, ",", ".").' EUR'
											);
 			xtc_db_perform(TABLE_ORDERS_TOTAL, $sql_data_array);
 		}
 		
 		foreach ($aTax AS $key => $value)
 		{
 			$sql_data_array = array (	'orders_id' 	=> $aOrderInfo['order_id'], 
										'title' 		=> 'inkl. UST '.round($key).'%:', 
										'text'			=> number_format($value, 2, ",", ".").' EUR',
										'value'			=> round($value,2), 
										'class' 		=> 'ot_tax',
										'sort_order'	=> 50
									);
 			$aMail['orderTotal'][] = Array	('TITLE'	=> 'inkl. UST '.round($key).'%: ', 
										 	 'CLASS'	=> 'ot_tax',
										 	 'VALUE'	=> round($value,2), 
										 	 'TEXT'		=> number_format($value, 2, ",", ".").' EUR'
											);
 			xtc_db_perform(TABLE_ORDERS_TOTAL, $sql_data_array);
 		}
 		
 		
 		$sql_data_array = array (	'orders_id' 	=> $aOrderInfo['order_id'], 
									'title' 		=> '<b>Summe</b>: ', 
									'text'			=> '<b> '.number_format($sum, 2, ",", ".").' EUR</b>',
									'value'			=> $sum, 
									'class' 		=> 'ot_total',
									'sort_order'	=> 99
								);
		$aMail['orderTotal'][] = Array	('TITLE'	=> '<b>Summe</b>:', 
										 'CLASS'	=> 'ot_total',
										 'VALUE'	=> $sum, 
										 'TEXT'		=> '<b> '.number_format($sum, 2, ",", ".").' EUR</b>'
										);
 		xtc_db_perform(TABLE_ORDERS_TOTAL, $sql_data_array);
 		
 		if ($vars['Bank'] != '' || $vars['Bpostcode'] != '' || $vars['Baccnum'] != '' || $vars['Bacchold'] != '')
 		{
 			include(DIR_WS_CLASSES . 'banktransfer_validation.php');
        	$banktransfer_validation = new AccountCheck;
        	$bankinfo = $banktransfer_validation->csv_query($vars['Bpostcode']);

 			$sql_data_array = array (	'orders_id' 			=> $aOrderInfo['order_id'], 
										'banktransfer_owner' 	=> $vars['Bacchold'],
										'banktransfer_number'	=> $vars['Baccnum'],
										'banktransfer_bankname'	=> $vars['Bank'],
										'banktransfer_blz'		=> $vars['Bpostcode'],
										'banktransfer_status'	=> 0,
										'banktransfer_prz'		=> $bankinfo['prz'],
										'banktransfer_fax'		=> ''
										); 
 			xtc_db_perform('banktransfer', $sql_data_array);
 		}
 		print 'Bestellung wurde bertragen.<br>';
 		
 		if ($vars['SendMails'] === TRUE)
 		{
 			require_once (DIR_FS_INC.'xtc_get_order_data.inc.php');
			require_once (DIR_FS_INC.'xtc_get_attributes_model.inc.php');
			require_once (DIR_FS_INC.'xtc_address_format.inc.php');
			require_once (DIR_FS_INC.'xtc_date_long.inc.php');
			
			$aAddresses = Array('customer'	=> Array(	'id' 				=> $aUserinfo['customers_id'],
											            'name' 				=> $aUserinfo['customers_firstname'].' '.$aUserinfo['customers_lastname'],
											            'firstname' 		=> $aUserinfo['customers_firstname'],
											            'lastname' 			=> $aUserinfo['customers_lastname'],
											            'csID' 				=> '',
											            'company' 			=> $vars['Ccompany'],
											            'street_address' 	=> $vars['Cstreet'],
											            'suburb' 			=> '',
											            'city' 				=> $vars['Ccity'],
											            'postcode' 			=> $vars['Cpcode'],
											            'state' 			=> '',
											            'country' 			=> $cCountryName,
											            'format_id' 		=> 5,
											            'telephone' 		=> $vars['Cphone'],
											            'email_address' 	=> $vars['Cemail']
													),
								'billing'	=> Array(	'name' 				=> $aUserinfo['customers_firstname'].' '.$aUserinfo['customers_lastname'], 
											            'firstname' 		=> $aUserinfo['customers_firstname'],
											            'lastname' 			=> $aUserinfo['customers_lastname'],
											            'company' 			=> $vars['Ccompany'],
											            'street_address' 	=> $vars['Cstreet'],
											            'suburb' 			=> '',
											            'city' 				=> $vars['Ccity'],
											            'postcode' 			=> $vars['Cpcode'],
											            'state' 			=> '',
											            'country' 			=> $vars['Ccountry'],
											            'format_id' 		=> 5
													),
								'delivery'	=> Array(	'name' 				=> $vars['Afname'].' '.$vars['Asname'],
											            'firstname' 		=> $vars['Afname'],
											            'lastname' 			=> $vars['Asname'],
											            'company' 			=> $vars['Acompany'],
											            'street_address' 	=> $vars['Astreet'],
											            'suburb' 			=> '',
											            'city' 				=> $vars['Acity'],
											            'postcode' 			=> $vars['Apcode'],
											            'state' 			=> '',
											            'country' 			=> $ACountryName,
											            'format_id' 		=> 5
													)
								);
			$smarty = new Smarty;
			$smarty->assign('address_label_customer', xtc_address_format($aAddresses['customer']['format_id'], $aAddresses['customer'], 1, '', '<br />'));
			$smarty->assign('address_label_shipping', xtc_address_format($aAddresses['delivery']['format_id'], $aAddresses['delivery'], 1, '', '<br />'));
			if ($aAddresses['billing']['name'] != '') 
			{
				$smarty->assign('address_label_payment', xtc_address_format($aAddresses['billing']['format_id'], $aAddresses['billing'], 1, '', '<br />'));
			}
			$smarty->assign('order_data', $aMail['orderData']);
			$smarty->assign('order_total', $aMail['orderTotal']);
			$smarty->assign('language', 'german');
			$smarty->assign('tpl_path', 'templates/'.CURRENT_TEMPLATE.'/');
			$smarty->assign('logo_path', HTTP_SERVER.DIR_WS_CATALOG.'templates/'.CURRENT_TEMPLATE.'/img/');
			$smarty->assign('oID', $aOrderInfo['order_id']);
			if ($aPayments[$vars['Methofpay']] != '' && $aPayments[$vars['Methofpay']] != 'no_payment') 
			{
				include (DIR_WS_LANGUAGES.'german/modules/payment/'.$aPayments[$vars['Methofpay']].'.php');
				$payment_method = constant(strtoupper('MODULE_PAYMENT_'.$aPayments[$vars['Methofpay']].'_TEXT_TITLE'));
			}
			$smarty->assign('PAYMENT_METHOD', $payment_method);

			$smarty->assign('DATE', xtc_date_long($datePurchased));
			$smarty->assign('NAME', $aUserinfo['customers_firstname'].' '.$aUserinfo['customers_lastname']);
			$smarty->assign('COMMENTS', "Bestellung wurde ber Yatego gettigt. Yatego Bestellnummer: ".$vars['OrderNo']."\n\n".$vars['Ccomment']);
			$smarty->assign('EMAIL', $vars['Cemail']);
			$smarty->assign('PHONE',$vars['Cphone']);
			$smarty->caching = false;
		
			$html_mail = $smarty->fetch(CURRENT_TEMPLATE.'/mail/german/order_mail.html');
			$txt_mail = $smarty->fetch(CURRENT_TEMPLATE.'/mail/german/order_mail.txt');

			$order_subject = str_replace('{$nr}', $aOrderInfo['order_id'], EMAIL_BILLING_SUBJECT_ORDER);
			$order_subject = str_replace('{$date}', strftime(DATE_FORMAT_LONG), $order_subject);
			$order_subject = str_replace('{$lastname}', $aUserinfo['customers_lastname'], $order_subject);
			$order_subject = str_replace('{$firstname}', $aUserinfo['customers_firstname'], $order_subject);
			
			// send mail to admin
			xtc_php_mail(EMAIL_BILLING_ADDRESS, EMAIL_BILLING_NAME, EMAIL_BILLING_ADDRESS, STORE_NAME, EMAIL_BILLING_FORWARDING_STRING, $vars['Cemail'], $aUserinfo['customers_firstname'], '', '', $order_subject, $html_mail, $txt_mail);
			// send mail to customer
			xtc_php_mail(EMAIL_BILLING_ADDRESS, EMAIL_BILLING_NAME, $vars['Cemail'], $aUserinfo['customers_firstname'].' '.$aUserinfo['customers_lastname'], '', EMAIL_BILLING_REPLY_ADDRESS, EMAIL_BILLING_REPLY_ADDRESS_NAME, '', '', $order_subject, $html_mail, $txt_mail);
		
			if (AFTERBUY_ACTIVATED == 'true') 
			{
				require_once (DIR_WS_CLASSES.'afterbuy.php');
				$aBUY = new xtc_afterbuy_functions($aOrderInfo['order_id']);
				if ($aBUY->order_send())
					$aBUY->process_order();
			}
			
			print 'Emails wurden versendet.<br>';
 		}
 		else
 		{
 			print 'Emails wurden nicht versendet.<br>';	
 		}
	}
}
else
{
	print 'Diese Seite bentigt Login-Daten!<br>';	
}

?>